complexType "NonNegativeSchedule"

Namespace: | http://www.fpml.org/FpML-5/pretrade
Content: | complex, 1 attribute, 2 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definitions of 1 attribute, 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | initialValue?, step*
</...>

Content Model Elements (2):

  initialValue (in notionalStepSchedule), | step (in notionalStepSchedule)

Known Direct Subtypes (1):

  NonNegativeAmountSchedule

All Direct / Indirect Based Elements (1):

  notionalStepSchedule

Known Usage Locations

- In derivations of other global types (1):
  NonNegativeAmountSchedule (as extension base)

Annotation
A type defining a schedule of non-negative rates or amounts in terms of an initial value and then a series of step date and value pairs. On each step date the rate or amount changes to the new step value. The series of step date and value pairs are optional. If not specified, this implies that the initial value remains unchanged over time.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="NonNegativeSchedule"> <xsd:sequence> <xsd:element minOccurs="0" name="initialValue" type="NonNegativeDecimal"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="step" type="NonNegativeStep"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 2/2)
initialValue

  Type: | NonNegativeDecimal, simple content

  The non-negative initial rate or amount, as the case may be. An initial rate of 5% would be represented as 0.05.
  Simple Content

  xsd:decimal

  minInclusive: | 0

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="initialValue" type="NonNegativeDecimal"/>

step

  Type: | NonNegativeStep, complex content

  The schedule of step date and non-negative value pairs. On each step date the associated step value becomes effective. A list of steps may be ordered in the document by ascending step date. An FpML document containing an unordered list of steps is still regarded as a conformant document.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="step" type="NonNegativeStep"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.